Apply Development Lifecycle Action

POST
/api/v1/development/lifecycle-actions

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

action*string

Value in

  • "expire"
  • "revoke"
  • "renew"
  • "refund"
  • "grace_period"
actionId*string
projectId?string|null
targetId*string
targetType*string

Value in

  • "subscription"
  • "purchase"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/development/lifecycle-actions" \  -H "Content-Type: application/json" \  -d '{    "action": "expire",    "actionId": "string",    "targetId": "string",    "targetType": "subscription"  }'
{  "actionId": "string"}
{  "_tag": "Api/SdkValidationError",  "message": "string"}
{  "_tag": "Api/AuthenticationError",  "cause": "string",  "message": "string"}
{  "_tag": "Api/ActionForbiddenError",  "message": "string"}
{  "_tag": "Api/DevelopmentEnvironmentRequiredError",  "message": "string"}
{  "_tag": "Api/DevelopmentModeServiceError",  "message": "string"}